Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.dd
Interface TDeployment.Process

All Superinterfaces:
  org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  TDeploymentImpl.ProcessImpl

Enclosing interface:
  TDeployment

    public static interface TDeployment.Process

extends org.apache.xmlbeans.XmlObject

An XML process(@http://www.apache.org/ode/schemas/dd/2007/03). This is a complex type.

Nested Class Summary
`static class` | `TDeployment.Process.Factory` A factory class with static methods for creating instances of this type.
`static interface` | `TDeployment.Process.MexInterceptors` An XML mex-interceptors(@http://www.apache.org/ode/schemas/dd/2007/03).
`static interface` | `TDeployment.Process.Property` An XML property(@http://www.apache.org/ode/schemas/dd/2007/03).

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`TCleanup` | `addNewCleanup()` Appends and returns a new empty value (as xml) as the last "cleanup" element
`TInvoke` | `addNewInvoke()` Appends and returns a new empty value (as xml) as the last "invoke" element
`TDeployment.Process.MexInterceptors` | `addNewMexInterceptors()` Appends and returns a new empty "mex-interceptors" element
`TProcessEvents` | `addNewProcessEvents()` Appends and returns a new empty "process-events" element
`TDeployment.Process.Property` | `addNewProperty()` Appends and returns a new empty value (as xml) as the last "property" element
`TProvide` | `addNewProvide()` Appends and returns a new empty value (as xml) as the last "provide" element
`TSchedule` | `addNewSchedule()` Appends and returns a new empty value (as xml) as the last "schedule" element
`boolean` | `getActive()` Gets the "active" element
`java.lang.String` | `getBpel11WsdlFileName()` Gets the "bpel11wsdlFileName" attribute
`TCleanup[]` | `getCleanupArray()` Deprecated.
`TCleanup` | `getCleanupArray(int i)` Gets ith "cleanup" element
`java.util.List<TCleanup>` | `getCleanupList()` Gets a List of "cleanup" elements
`java.lang.String` | `getFileName()` Gets the "fileName" attribute
`boolean` | `getInMemory()` Gets the "in-memory" element
`TInvoke[]` | `getInvokeArray()` Deprecated.
`TInvoke` | `getInvokeArray(int i)` Gets ith "invoke" element
`java.util.List<TInvoke>` | `getInvokeList()` Gets a List of "invoke" elements
`TDeployment.Process.MexInterceptors` | `getMexInterceptors()` Gets the "mex-interceptors" element
`javax.xml.namespace.QName` | `getName()` Gets the "name" attribute
`TProcessEvents` | `getProcessEvents()` Gets the "process-events" element
`TDeployment.Process.Property[]` | `getPropertyArray()` Deprecated.
`TDeployment.Process.Property` | `getPropertyArray(int i)` Gets ith "property" element
`java.util.List<TDeployment.Process.Property>` | `getPropertyList()` Gets a List of "property" elements
`TProvide[]` | `getProvideArray()` Deprecated.
`TProvide` | `getProvideArray(int i)` Gets ith "provide" element
`java.util.List<TProvide>` | `getProvideList()` Gets a List of "provide" elements
`boolean` | `getRetired()` Gets the "retired" element
`TSchedule[]` | `getScheduleArray()` Deprecated.
`TSchedule` | `getScheduleArray(int i)` Gets ith "schedule" element
`java.util.List<TSchedule>` | `getScheduleList()` Gets a List of "schedule" elements
`javax.xml.namespace.QName` | `getType()` Gets the "type" element
`TCleanup` | `insertNewCleanup(int i)` Inserts and returns a new empty value (as xml) as the ith "cleanup" element
`TInvoke` | `insertNewInvoke(int i)` Inserts and returns a new empty value (as xml) as the ith "invoke" element
`TDeployment.Process.Property` | `insertNewProperty(int i)` Inserts and returns a new empty value (as xml) as the ith "property" element
`TProvide` | `insertNewProvide(int i)` Inserts and returns a new empty value (as xml) as the ith "provide" element
`TSchedule` | `insertNewSchedule(int i)` Inserts and returns a new empty value (as xml) as the ith "schedule" element
`boolean` | `isSetActive()` True if has "active" element
`boolean` | `isSetBpel11WsdlFileName()` True if has "bpel11wsdlFileName" attribute
`boolean` | `isSetFileName()` True if has "fileName" attribute
`boolean` | `isSetInMemory()` True if has "in-memory" element
`boolean` | `isSetMexInterceptors()` True if has "mex-interceptors" element
`boolean` | `isSetProcessEvents()` True if has "process-events" element
`boolean` | `isSetRetired()` True if has "retired" element
`boolean` | `isSetType()` True if has "type" element
`void` | `removeCleanup(int i)` Removes the ith "cleanup" element
`void` | `removeInvoke(int i)` Removes the ith "invoke" element
`void` | `removeProperty(int i)` Removes the ith "property" element
`void` | `removeProvide(int i)` Removes the ith "provide" element
`void` | `removeSchedule(int i)` Removes the ith "schedule" element
`void` | `setActive(boolean active)` Sets the "active" element
`void` | `setBpel11WsdlFileName(java.lang.String bpel11WsdlFileName)` Sets the "bpel11wsdlFileName" attribute
`void` | `setCleanupArray(int i, TCleanup cleanup)` Sets ith "cleanup" element
`void` | `setCleanupArray(TCleanup[] cleanupArray)` Sets array of all "cleanup" element
`void` | `setFileName(java.lang.String fileName)` Sets the "fileName" attribute
`void` | `setInMemory(boolean inMemory)` Sets the "in-memory" element
`void` | `setInvokeArray(int i, TInvoke invoke)` Sets ith "invoke" element
`void` | `setInvokeArray(TInvoke[] invokeArray)` Sets array of all "invoke" element
`void` | `setMexInterceptors(TDeployment.Process.MexInterceptors mexInterceptors)` Sets the "mex-interceptors" element
`void` | `setName(javax.xml.namespace.QName name)` Sets the "name" attribute
`void` | `setProcessEvents(TProcessEvents processEvents)` Sets the "process-events" element
`void` | `setPropertyArray(int i, TDeployment.Process.Property property)` Sets ith "property" element
`void` | `setPropertyArray(TDeployment.Process.Property[] propertyArray)` Sets array of all "property" element
`void` | `setProvideArray(int i, TProvide provide)` Sets ith "provide" element
`void` | `setProvideArray(TProvide[] provideArray)` Sets array of all "provide" element
`void` | `setRetired(boolean retired)` Sets the "retired" element
`void` | `setScheduleArray(int i, TSchedule schedule)` Sets ith "schedule" element
`void` | `setScheduleArray(TSchedule[] scheduleArray)` Sets array of all "schedule" element
`void` | `setType(javax.xml.namespace.QName type)` Sets the "type" element
`int` | `sizeOfCleanupArray()` Returns number of "cleanup" element
`int` | `sizeOfInvokeArray()` Returns number of "invoke" element
`int` | `sizeOfPropertyArray()` Returns number of "property" element
`int` | `sizeOfProvideArray()` Returns number of "provide" element
`int` | `sizeOfScheduleArray()` Returns number of "schedule" element
`void` | `unsetActive()` Unsets the "active" element
`void` | `unsetBpel11WsdlFileName()` Unsets the "bpel11wsdlFileName" attribute
`void` | `unsetFileName()` Unsets the "fileName" attribute
`void` | `unsetInMemory()` Unsets the "in-memory" element
`void` | `unsetMexInterceptors()` Unsets the "mex-interceptors" element
`void` | `unsetProcessEvents()` Unsets the "process-events" element
`void` | `unsetRetired()` Unsets the "retired" element
`void` | `unsetType()` Unsets the "type" element
`org.apache.xmlbeans.XmlBoolean` | `xgetActive()` Gets (as xml) the "active" element
`org.apache.xmlbeans.XmlString` | `xgetBpel11WsdlFileName()` Gets (as xml) the "bpel11wsdlFileName" attribute
`org.apache.xmlbeans.XmlString` | `xgetFileName()` Gets (as xml) the "fileName" attribute
`org.apache.xmlbeans.XmlBoolean` | `xgetInMemory()` Gets (as xml) the "in-memory" element
`org.apache.xmlbeans.XmlQName` | `xgetName()` Gets (as xml) the "name" attribute
`org.apache.xmlbeans.XmlBoolean` | `xgetRetired()` Gets (as xml) the "retired" element
`org.apache.xmlbeans.XmlQName` | `xgetType()` Gets (as xml) the "type" element
`void` | `xsetActive(org.apache.xmlbeans.XmlBoolean active)` Sets (as xml) the "active" element
`void` | `xsetBpel11WsdlFileName(org.apache.xmlbeans.XmlString bpel11WsdlFileName)` Sets (as xml) the "bpel11wsdlFileName" attribute
`void` | `xsetFileName(org.apache.xmlbeans.XmlString fileName)` Sets (as xml) the "fileName" attribute
`void` | `xsetInMemory(org.apache.xmlbeans.XmlBoolean inMemory)` Sets (as xml) the "in-memory" element
`void` | `xsetName(org.apache.xmlbeans.XmlQName name)` Sets (as xml) the "name" attribute
`void` | `xsetRetired(org.apache.xmlbeans.XmlBoolean retired)` Sets (as xml) the "retired" element
`void` | `xsetType(org.apache.xmlbeans.XmlQName type)` Sets (as xml) the "type" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getActive

    boolean getActive()

  Gets the "active" element

### xgetActive

    org.apache.xmlbeans.XmlBoolean xgetActive()

  Gets (as xml) the "active" element

### isSetActive

    boolean isSetActive()

  True if has "active" element

### setActive

    void setActive(boolean active)

  Sets the "active" element

### xsetActive

    void xsetActive(org.apache.xmlbeans.XmlBoolean active)

  Sets (as xml) the "active" element

### unsetActive

    void unsetActive()

  Unsets the "active" element

### getRetired

    boolean getRetired()

  Gets the "retired" element

### xgetRetired

    org.apache.xmlbeans.XmlBoolean xgetRetired()

  Gets (as xml) the "retired" element

### isSetRetired

    boolean isSetRetired()

  True if has "retired" element

### setRetired

    void setRetired(boolean retired)

  Sets the "retired" element

### xsetRetired

    void xsetRetired(org.apache.xmlbeans.XmlBoolean retired)

  Sets (as xml) the "retired" element

### unsetRetired

    void unsetRetired()

  Unsets the "retired" element

### getInMemory

    boolean getInMemory()

  Gets the "in-memory" element

### xgetInMemory

    org.apache.xmlbeans.XmlBoolean xgetInMemory()

  Gets (as xml) the "in-memory" element

### isSetInMemory

    boolean isSetInMemory()

  True if has "in-memory" element

### setInMemory

    void setInMemory(boolean inMemory)

  Sets the "in-memory" element

### xsetInMemory

    void xsetInMemory(org.apache.xmlbeans.XmlBoolean inMemory)

  Sets (as xml) the "in-memory" element

### unsetInMemory

    void unsetInMemory()

  Unsets the "in-memory" element

### getPropertyList

    java.util.List<TDeployment.Process.Property> getPropertyList()

  Gets a List of "property" elements

### getPropertyArray

    TDeployment.Process.Property[] getPropertyArray()

  Deprecated.

  Gets array of all "property" elements

### getPropertyArray

    TDeployment.Process.Property getPropertyArray(int i)

  Gets ith "property" element

### sizeOfPropertyArray

    int sizeOfPropertyArray()

  Returns number of "property" element

### setPropertyArray

    void setPropertyArray(TDeployment.Process.Property[] propertyArray)

  Sets array of all "property" element

### setPropertyArray

    void setPropertyArray(int i,
                          TDeployment.Process.Property property)

  Sets ith "property" element

### insertNewProperty

    TDeployment.Process.Property insertNewProperty(int i)

  Inserts and returns a new empty value (as xml) as the ith "property" element

### addNewProperty

    TDeployment.Process.Property addNewProperty()

  Appends and returns a new empty value (as xml) as the last "property" element

### removeProperty

    void removeProperty(int i)

  Removes the ith "property" element

### getProcessEvents

    TProcessEvents getProcessEvents()

  Gets the "process-events" element

### isSetProcessEvents

    boolean isSetProcessEvents()

  True if has "process-events" element

### setProcessEvents

    void setProcessEvents(TProcessEvents processEvents)

  Sets the "process-events" element

### addNewProcessEvents

    TProcessEvents addNewProcessEvents()

  Appends and returns a new empty "process-events" element

### unsetProcessEvents

    void unsetProcessEvents()

  Unsets the "process-events" element

### getProvideList

    java.util.List<TProvide> getProvideList()

  Gets a List of "provide" elements

### getProvideArray

    TProvide[] getProvideArray()

  Deprecated.

  Gets array of all "provide" elements

### getProvideArray

    TProvide getProvideArray(int i)

  Gets ith "provide" element

### sizeOfProvideArray

    int sizeOfProvideArray()

  Returns number of "provide" element

### setProvideArray

    void setProvideArray(TProvide[] provideArray)

  Sets array of all "provide" element

### setProvideArray

    void setProvideArray(int i,
                         TProvide provide)

  Sets ith "provide" element

### insertNewProvide

    TProvide insertNewProvide(int i)

  Inserts and returns a new empty value (as xml) as the ith "provide" element

### addNewProvide

    TProvide addNewProvide()

  Appends and returns a new empty value (as xml) as the last "provide" element

### removeProvide

    void removeProvide(int i)

  Removes the ith "provide" element

### getInvokeList

    java.util.List<TInvoke> getInvokeList()

  Gets a List of "invoke" elements

### getInvokeArray

    TInvoke[] getInvokeArray()

  Deprecated.

  Gets array of all "invoke" elements

### getInvokeArray

    TInvoke getInvokeArray(int i)

  Gets ith "invoke" element

### sizeOfInvokeArray

    int sizeOfInvokeArray()

  Returns number of "invoke" element

### setInvokeArray

    void setInvokeArray(TInvoke[] invokeArray)

  Sets array of all "invoke" element

### setInvokeArray

    void setInvokeArray(int i,
                        TInvoke invoke)

  Sets ith "invoke" element

### insertNewInvoke

    TInvoke insertNewInvoke(int i)

  Inserts and returns a new empty value (as xml) as the ith "invoke" element

### addNewInvoke

    TInvoke addNewInvoke()

  Appends and returns a new empty value (as xml) as the last "invoke" element

### removeInvoke

    void removeInvoke(int i)

  Removes the ith "invoke" element

### getMexInterceptors

    TDeployment.Process.MexInterceptors getMexInterceptors()

  Gets the "mex-interceptors" element

### isSetMexInterceptors

    boolean isSetMexInterceptors()

  True if has "mex-interceptors" element

### setMexInterceptors

    void setMexInterceptors(TDeployment.Process.MexInterceptors mexInterceptors)

  Sets the "mex-interceptors" element

### addNewMexInterceptors

    TDeployment.Process.MexInterceptors addNewMexInterceptors()

  Appends and returns a new empty "mex-interceptors" element

### unsetMexInterceptors

    void unsetMexInterceptors()

  Unsets the "mex-interceptors" element

### getType

    javax.xml.namespace.QName getType()

  Gets the "type" element

### xgetType

    org.apache.xmlbeans.XmlQName xgetType()

  Gets (as xml) the "type" element

### isSetType

    boolean isSetType()

  True if has "type" element

### setType

    void setType(javax.xml.namespace.QName type)

  Sets the "type" element

### xsetType

    void xsetType(org.apache.xmlbeans.XmlQName type)

  Sets (as xml) the "type" element

### unsetType

    void unsetType()

  Unsets the "type" element

### getCleanupList

    java.util.List<TCleanup> getCleanupList()

  Gets a List of "cleanup" elements

### getCleanupArray

    TCleanup[] getCleanupArray()

  Deprecated.

  Gets array of all "cleanup" elements

### getCleanupArray

    TCleanup getCleanupArray(int i)

  Gets ith "cleanup" element

### sizeOfCleanupArray

    int sizeOfCleanupArray()

  Returns number of "cleanup" element

### setCleanupArray

    void setCleanupArray(TCleanup[] cleanupArray)

  Sets array of all "cleanup" element

### setCleanupArray

    void setCleanupArray(int i,
                         TCleanup cleanup)

  Sets ith "cleanup" element

### insertNewCleanup

    TCleanup insertNewCleanup(int i)

  Inserts and returns a new empty value (as xml) as the ith "cleanup" element

### addNewCleanup

    TCleanup addNewCleanup()

  Appends and returns a new empty value (as xml) as the last "cleanup" element

### removeCleanup

    void removeCleanup(int i)

  Removes the ith "cleanup" element

### getScheduleList

    java.util.List<TSchedule> getScheduleList()

  Gets a List of "schedule" elements

### getScheduleArray

    TSchedule[] getScheduleArray()

  Deprecated.

  Gets array of all "schedule" elements

### getScheduleArray

    TSchedule getScheduleArray(int i)

  Gets ith "schedule" element

### sizeOfScheduleArray

    int sizeOfScheduleArray()

  Returns number of "schedule" element

### setScheduleArray

    void setScheduleArray(TSchedule[] scheduleArray)

  Sets array of all "schedule" element

### setScheduleArray

    void setScheduleArray(int i,
                          TSchedule schedule)

  Sets ith "schedule" element

### insertNewSchedule

    TSchedule insertNewSchedule(int i)

  Inserts and returns a new empty value (as xml) as the ith "schedule" element

### addNewSchedule

    TSchedule addNewSchedule()

  Appends and returns a new empty value (as xml) as the last "schedule" element

### removeSchedule

    void removeSchedule(int i)

  Removes the ith "schedule" element

### getName

    javax.xml.namespace.QName getName()

  Gets the "name" attribute

### xgetName

    org.apache.xmlbeans.XmlQName xgetName()

  Gets (as xml) the "name" attribute

### setName

    void setName(javax.xml.namespace.QName name)

  Sets the "name" attribute

### xsetName

    void xsetName(org.apache.xmlbeans.XmlQName name)

  Sets (as xml) the "name" attribute

### getFileName

    java.lang.String getFileName()

  Gets the "fileName" attribute

### xgetFileName

    org.apache.xmlbeans.XmlString xgetFileName()

  Gets (as xml) the "fileName" attribute

### isSetFileName

    boolean isSetFileName()

  True if has "fileName" attribute

### setFileName

    void setFileName(java.lang.String fileName)

  Sets the "fileName" attribute

### xsetFileName

    void xsetFileName(org.apache.xmlbeans.XmlString fileName)

  Sets (as xml) the "fileName" attribute

### unsetFileName

    void unsetFileName()

  Unsets the "fileName" attribute

### getBpel11WsdlFileName

    java.lang.String getBpel11WsdlFileName()

  Gets the "bpel11wsdlFileName" attribute

### xgetBpel11WsdlFileName

    org.apache.xmlbeans.XmlString xgetBpel11WsdlFileName()

  Gets (as xml) the "bpel11wsdlFileName" attribute

### isSetBpel11WsdlFileName

    boolean isSetBpel11WsdlFileName()

  True if has "bpel11wsdlFileName" attribute

### setBpel11WsdlFileName

    void setBpel11WsdlFileName(java.lang.String bpel11WsdlFileName)

  Sets the "bpel11wsdlFileName" attribute

### xsetBpel11WsdlFileName

    void xsetBpel11WsdlFileName(org.apache.xmlbeans.XmlString bpel11WsdlFileName)

  Sets (as xml) the "bpel11wsdlFileName" attribute

### unsetBpel11WsdlFileName

    void unsetBpel11WsdlFileName()

  Unsets the "bpel11wsdlFileName" attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD